@edu-fe/builder
Build tool for wps edu powered by rollup
Last updated a year ago by shockw4ver .
UNLICENSED · Original npm · Tarball · package.json
$ cnpm install @edu-fe/builder 
SYNC missed versions from official npm registry.

@edu-fe/builder

目前功能单一,用法也很二,不过打包还是阔以的

Usage

安装

$ npm i -D @edu-fe/builder rollup
# or yarn
$ yarn add -D @edu-fe/builder rollup

将以下命令写入 packcage.json 作为 npm script 使用:

{
  ...
  "scripts": {
    "build": "./node_modules/@edu-fe/builder/bin/workder.js"
  }
  ...
}

然后是配置文件,在根目录下新建 brr.config.js:

// 以下为默认配置,如果项目根目录下没有 brr.config.js,则会使用该配置
module.exports = {
  input: 'test/index.js',  // 入口文件

  output: {
    path: 'dist',          // 输出目录
    filename: 'bundle.js', // 文件名
    format: 'cjs'          // 格式化类型
  },

  vue: false,              // 是否需要编译 .vue 文件

  babel: {                 // babel 的配置,默认开启几乎所有特性的编译
    options: {
      presets: ['es2015-rollup', 'stage-0', 'stage-1', 'stage-2', 'stage-3'],
      plugins: ['transform-decorators-legacy']
    }
  },

  // rollup 插件
  plugins: [],

  // 是否需要压缩
  compress: false
}

Vue

默认包含 style,如果使用了 sass 或者其他的预编译器,需要在 bbr.config.js 中的 plugins 中进行注册,当然了,别忘记安装依赖,否则会抛出错误

babel

配置方式与 babel api 完全相同,只需要将所需配置写入 options 字段即可,并且不与 .babelrc 冲突

运行

$ npm run build
# or yarn
$ yarn build

Current Tags

  • 0.0.5-beta1                                ...           latest (a year ago)

7 Versions

  • 0.0.5-beta1                                ...           a year ago
  • 0.0.5-beta                                ...           a year ago
  • 0.0.4                                ...           a year ago
  • 0.0.3                                ...           a year ago
  • 0.0.2                                ...           a year ago
  • 0.0.1                                ...           a year ago
  • 0.0.0                                ...           a year ago

Copyright 2014 - 2016 © taobao.org |